<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ข้อมูลด้าน Compliance</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดข้อมูลด้าน Compliance เกี่ยวกับรายละเอียดผลิตภัณฑ์
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null)">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
          บันทึกร่างใบคำขอ
        </button>
      </div>
      <!-- 
      <div *ngIf="userRole === 'PO'">
        <button type="button" class="btn btn-primary sandwork" (click)="sandwork()">
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<div id="accordion">
  <div class="card">
    <!-- <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง
        </a>
      </div>
    </div> -->

    <!-- <div id="collapseOne" class="collapse show" aria-labelledby="headingOne"> -->
      <div class="card-body">
        <div>
          <!----------- ข้อกำหนด/กฎเกณฑ์/ประกาศของหน่วยงานกำกับที่เกี่ยวข้อง (อาทิ ธปท. กลต. คปภ. ปปง. ฯลฯ) ------------------------------>
          <div style="padding-left: 10px;"
            *ngIf="template_manage.validate === null || template_manage.validate === false">
            <div [ngClass]="{'table-warpper': template_manage.caaStatus !== 'show'}">
              <div class="row" style="padding: 10px;">
                <div class="col-12">
                  <div class="d-flex bd-highlight">
                    <div class="w-100 bd-highlight">
                      <p class="head-detal mb-0 mt-0">ข้อกำหนด/กฎเกณฑ์/ประกาศของหน่วยงานกำกับที่เกี่ยวข้อง (อาทิ ธปท.
                        กลต. คปภ.
                        ปปง. ฯลฯ)</p>
                    </div>
                    <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
                      <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png"
                          class="add-icon">
                        เพิ่มข้อมูล</button>
                    </div>
                  </div>
                  <hr style="margin-top: 10px;">
                </div>
                <div class="col-12">
                  <div style=" overflow-x: scroll;" class="table-responsive">
                    <table class="table-proccess table table-striped">
                      <thead>
                        <tr>
                          <th style="width:210px; text-align: left !important;">หน่วยงานกำกับ</th>
                          <th style="width:100px; text-align: left !important;">เลขที่หนังสือ </th>
                          <th style="width:180px; text-align: left !important;">เรื่อง</th>
                          <th style="width:170px; text-align: left !important;">ขออนุญาตหน่วยงานกำกับ</th>
                          <th style="width:170px; text-align: left !important;">กรณีไม่ต้องขออนุญาต ระบุเหตุผล </th>
                          <th style="padding-right: 100px;width: 150px;" *ngIf="validate === true"></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let item of stepTwelve.complianceItems; index as i">
                          
                          <td *ngIf="validate === true">
                            <!-- <input type="text" style="width:210px;word-break: break-all;" class="form-control" [(ngModel)]="item.unit"
                              (ngModelChange)="changeSaveDraft()"> -->
                            <textarea appTextareaAutoresize autocomplete="off"  class="form-control example" style="width:200px" type="text" id="textgency{{i}}"
                              [(ngModel)]="item.unit" (ngModelChange)="changeSaveDraft()" name="textgency"
                              required></textarea>


                          </td>
                          <td *ngIf="validate === false" style="width:210px">
                            {{item.unit}}
                          </td>
                          <td *ngIf="validate === true">
                            <!-- <input style="width:100px" style="width:100px" type="text" class="form-control"
                              [(ngModel)]="item.bookNumber" (ngModelChange)="changeSaveDraft()"> -->
                            <textarea appTextareaAutoresize autocomplete="off"  class="form-control example" style="width:100px" [(ngModel)]="item.bookNumber"
                              (ngModelChange)="changeSaveDraft()"></textarea>
                          </td>
                          <td *ngIf="validate === false" style="width:100px;word-break: break-all">
                            {{item.bookNumber}}
                          </td>
                          <td *ngIf="validate === true">
                            <!-- <input type="text" style="width:180px" class="form-control" [(ngModel)]="item.topic"
                              (ngModelChange)="changeSaveDraft()"> -->
                            <textarea appTextareaAutoresize autocomplete="off"  class="form-control example" style="width:180px" type="text"
                              id="testsubject{{i}}" [(ngModel)]="item.topic" (ngModelChange)="changeSaveDraft()"
                              name="testsubject" required></textarea>
                          </td>
                          <td *ngIf="validate === false" style="width:180px;word-break: break-all">
                            {{item.topic}}
                          </td>
                          <td *ngIf="validate === true">
                            <select [(ngModel)]="item.allow" (ngModelChange)="changeSaveDraft()" class="form-control"
                              style="width:180px">
                              <option value="null" selected disabled>เลือกกรณีขออนุญาต</option>
                              <option *ngFor="let option of caseAllowList" [value]="option.value">{{option.title}}
                              </option>
                            </select>
                          </td>
                          <td *ngIf="validate === false" style="width:180px;word-break: break-all">
                            {{item.allow}}
                            <!-- <div *ngIf="item.allow === null"></div>
                          <div *ngIf="item.allow !== null">{{item.allow}}</div> -->
                          </td>
                          <td *ngIf="validate === true">
                            <select [(ngModel)]="item.other" (ngModelChange)="changeSaveDraft()" class="form-control"
                              style="width:180px">
                              <option value="null" selected disabled class="disabled-option">เลือกกรณีไม่ต้องขออนุญาต
                              </option>
                              <option *ngFor="let option of caseNotAllowList" [value]="option.value">{{option.title}}
                              </option>
                            </select>
                          </td>
                          <td *ngIf="validate === false" style="width:180px;word-break: break-all">
                            {{item.other}}
                          </td>
                          <td *ngIf="validate === true"><span class="delete-data"
                              (click)="removeDataItem(i)">ลบข้อมูล</span>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>


                </div>
                <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
                  <button class="btn-create-data mt-3" (click)="addRow()"><img src="assets/img/plus-icon.png"
                      class="add-icon" alt="">
                    เพิ่มข้อมูล
                  </button>
                </div>
              </div>
            </div>

            <!-- ----------------------------- จัดทำรายงานวิเคราะห์ความเสี่ยงผลิตภัณฑ์/บริการด้านการฟอกเงิน ------------------------------------>
            <div class="mt-4">
              <div [ngClass]="{'container-fluid table-warpper': template_manage.caaStatus !== 'show'}">
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">จัดทำรายงานวิเคราะห์ความเสี่ยงผลิตภัณฑ์/บริการด้านการฟอกเงิน
                      และการสนับสนุนทางการเงินแก่การก่อการร้าย</p>
                  </div>
                  <div class="col-12">
                    <div *ngIf="validate === true" class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox [(ngModel)]="stepTwelve.onProcess" (ngModelChange)="changeSaveDraft()"
                          [disabled]="validate === false"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail"
                        [ngStyle]="{color: stepTwelve.onProcess === true ? '#00a4e4' : 'black'}">
                        อยู่ระหว่างประสานงานกับหน่วยงานกำกับฯ เพื่อจัดทำแบบฟอร์ม AML
                      </div>
                    </div>
                    <div *ngIf="validate === false" class="d-flex align-items-stretch checkbox-layout">
                      <!-- <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="stepTwelve.onProcess" (ngModelChange)="changeSaveDraft()" [disabled]="validate === false" ></mat-checkbox>
                    </div> -->
                      <div class="bd-highlight checkbox-detail"
                        [ngStyle]="{color: stepTwelve.onProcess == false ? '#00a4e4' : 'black'}">
                        <li>อยู่ระหว่างประสานงานกับหน่วยงานกำกับฯ เพื่อจัดทำแบบฟอร์ม AML</li>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br>
            <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
            <div *ngIf="validate === true">
              <div class="row">
                <div class="col-12">
                  <label class="head-detal">อัปโหลดเอกสาร</label>
                </div>

                <div class="col-12">
                  <div class="dropzone">
                    <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                      (change)="onSelectFile($event); changeSaveDraft()" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />
                    <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                    <a style="font-size: 18px; color: #00a6e6;"
                      for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                  </div>
                </div>
                <div class="col-12">
                  <div class="table-responsives">
                    <table mat-table [dataSource]="dataSource_file" style="width: 100%;">
                      <!-- Position Column -->
                      <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                        <td mat-cell *matCellDef="let element">
                          {{ element.fileName }}
                        </td>
                      </ng-container>

                      <!-- Name Column -->
                      <ng-container matColumnDef="size">
                        <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                        <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                      </ng-container>

                      <!-- Name Column -->
                      <ng-container matColumnDef="delete">
                        <th mat-header-cell *matHeaderCellDef></th>
                        <td mat-cell *matCellDef="let element; let index = index">
                          <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                            (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                          <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                            (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                          <a class="pipe">|</a>
                          <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                        </td>
                      </ng-container>

                      <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                      <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <!-- ---------------------------------------------------------------------------------- -->
            <div *ngIf="validate === false">
              <div>
                <p>เอกสารเเนบ</p>
              </div>
              <div class="row">
                <div class="col-12 table_files_validate">
                  <table mat-table [dataSource]="dataSource_file" style="width: 100%;">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element" style="text-align: center;">
                        {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="delete">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>

                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef=" displayedColumns_file"></tr>
                    <tr mat-row *matRowDef="let row; columns:  displayedColumns_file"></tr>
                  </table>
                </div>
              </div>
            </div>
          </div>
          <!-------------------------------------------------[End validate === true] ------------------------------------------------>




          <!-- --------------------------------------------(Over multi files Size)--------------------------------------------------->
          <div style="display: none;">
            <a id="testttt" data-toggle="modal" data-target="#exampleModal">
              open
            </a>
          </div>
          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog " role="document">
              <div class="modal-content" style=" background-color: white;">
                <div class="col-12 modal-header" style="
                  text-align: center;
                  height: 56px;
                  padding: 12px;
                  background-color: rgba(0, 110, 149, 0.1);
                ">
                  <div class="col-12" style="
                    text-align: center;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                  ">
                    <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
                    <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
                      มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
                    </span>
                  </div>
                  <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
                    style="position: absolute; right: 10px;cursor:pointer" />
                </div>
                <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
                  <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
                  <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
                </div>
                <br />
                <div class="mb-3" style="text-align: center;">
                  <button type="button" class="btn btn-primary" data-dismiss="modal" style="
                    justify-items: center !important;
                    background-color: #00a4e4;
                    width: 150px;
                  ">
                    ตกลง
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!-- ------------------------------------------- (End Over multi files Size) ------------------------------------------------>

        </div>
      </div>
    <!-- </div> -->
  </div>
  <!------------------------------------------------- [End validate === true] ------------------------------------------------>
  <!-- <div *ngIf="parentRequestId.length > 0">
    <div class="card" *ngFor="let item of parentRequestId; let idetail = index">
      <div class="card-header" id="headingTwo">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{item.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[idetail].value  === true" class="btn btn-link" data-toggle="collapse"
            href="#collapseTwo_{{idetail}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{idetail}}"
            (click)="getDetailParent(item.requestId, idetail); showSearch(idetail)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[idetail].value  === false" class="btn btn-link" data-toggle="collapse"
            href="#collapseTwo_{{idetail}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{idetail}}"
            (click)="getDetailParent(item.requestId, idetail); showSearch(idetail)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{idetail}}" class="collapse" aria-labelledby="headingTwo" data-toggle="collapse"
        data-parent="#accordion">
        <div class="card-body">
          <div>
            <div class="row">
              <div class="col-12">
                <div class="d-flex bd-highlight">
                  <div class="w-100 bd-highlight">
                    <p class="head-detal mb-0 mt-0">ข้อกำหนด/กฎเกณฑ์/ประกาศของหน่วยงานกำกับที่เกี่ยวข้อง (อาทิ ธปท. กลต.
                      คปภ.
                      ปปง. ฯลฯ)</p>
                  </div>
                </div>
                <hr style="margin-top: 10px;">
              </div>
              <div class="col-12">
                <div class="table-responsive">
                  <table class="table-proccess table table-striped table-overflow">
                    <thead>
                      <tr>
                        <th style="width:210px; text-align: left !important;">หน่วยงานกำกับ</th>
                        <th style="width:100px; text-align: left !important;">เลขที่หนังสือ </th>
                        <th style="width:180px; text-align: left !important;">เรื่อง</th>
                        <th style="width:170px; text-align: left !important;">ขออนุญาตหน่วยงานกำกับ</th>
                        <th style="width:170px; text-align: left !important;">กรณีไม่ต้องขออนุญาต ระบุเหตุผล </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of stepTwelveDetail.complianceItems; index as i">
                        <td style="width:10%;word-break: break-all">
                          {{item.unit}}
                        </td>
                        <td style="width:10%;word-break: break-all">
                          {{item.bookNumber}}
                        </td>
                        <td style="width:25%;word-break: break-all">
                          {{item.topic}}
                        </td>
                        <td style="width:20%;word-break: break-all">
                          {{item.allow}}
                        </td>
                        <td style="width:25%;word-break: break-all">
                          {{item.other}}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>


              </div>
              <div class="col-12">
                <p class="head-detal">จัดทำรายงานวิเคราะห์ความเสี่ยงผลิตภัณฑ์/บริการด้านการฟอกเงิน
                  และการสนับสนุนทางการเงินแก่การก่อการร้าย</p>
              </div>
              <div class="col-12">
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="stepTwelveDetail.onProcess" (ngModelChange)="changeSaveDraft()" disabled>
                    </mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail"
                    [ngStyle]="{color: stepTwelveDetail.onProcess === true ? '#00a4e4' : 'black'}">
                    อยู่ระหว่างประสานงานกับหน่วยงานกำกับฯ เพื่อจัดทำแบบฟอร์ม AML
                  </div>
                </div>
              </div>
            </div>
            <br>
            
            <div>
              <div>
                <p>เอกสารเเนบ</p>
              </div>
              <div class="row">
                <div class="col-12 table_files_validate">
                  <table mat-table [dataSource]="dataSource_file_Parent" style="width: 100%;">
                  
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
                    </ng-container>

            
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element" style="text-align: center;">
                        {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                    </ng-container>

              
                    <ng-container matColumnDef="delete">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef=" displayedColumns_file"></tr>
                    <tr mat-row *matRowDef="let row; columns:  displayedColumns_file"></tr>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div> -->
  <!-- --------------------------------------------------------------------------------------------------------------------- -->
  <div *ngIf="(validate === true || validate === null)">
    <br> <br> <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br> <br>
  </div>
  <div class="row" *ngIf="validate === false">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
  </div>
  <br>